<?php
define('DEV_MODE', true);
define('TOPLINK', 'javascript:void(0)');

define('SITE_URL', $_SERVER['REQUEST_SCHEME'] . '://' . $_SERVER['SERVER_NAME'] . '/');
define('SITE_URI', (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);

define('APP', str_replace("\\", "/", dirname(__DIR__) . '/'));

define('ROOT', $_SERVER['DOCUMENT_ROOT']);
define('CORE', APP . 'core/');
define('VIEWS', APP . 'app/views/');
define('TEMPLATES', APP . 'templates/');

define('CSS', '/css/');
define('JS', '/js/');
define('IMAGES', '/images/');
define('IMG', '/images/img/');

define('HOST', 'localhost');
define('USER', 'sk');
define('PASSWORD', 'Ser026322!!');
define('DATABASE', 'framex-alpha');

date_default_timezone_set('Europe/Athens');

function site(string $param): string {
    $values = [
        'core' => 'ELLHNIKA',
    ];
    return $values[$param] ?? '';
}

